<?php

declare(strict_types=1);

namespace Dedi\SyliusCmsPlugin\DependencyInjection;

use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Extension\Extension;
use Symfony\Component\DependencyInjection\Loader\YamlFileLoader;

final class DediSyliusCmsExtension extends Extension
{
    /**
     * {@inheritdoc}
     */
    public function load(array $config, ContainerBuilder $container): void
    {
        $config = $this->processConfiguration($this->getConfiguration([], $container), $config);
        $loader = new YamlFileLoader($container, new FileLocator(__DIR__ . '/../Resources/config'));

        $loader->load('services.yaml');

        $container->setParameter('dedi_cms_ckeditor_config', $config['ckeditor_config']);
        $container->setParameter('dedi_cms_text_and_icon_collection_min', $config['dedi_cms_text_and_icon_collection_min']);
        $container->setParameter('dedi_cms_text_and_icon_collection_max', $config['dedi_cms_text_and_icon_collection_max']);
        $container->setParameter('dedi_cms_text_and_block_collection_min', $config['dedi_cms_text_and_block_collection_min']);
        $container->setParameter('dedi_cms_text_and_block_collection_max', $config['dedi_cms_text_and_block_collection_max']);
        $container->setParameter('dedi_cms_text_and_banner_collection_min', $config['dedi_cms_text_and_banner_collection_min']);
        $container->setParameter('dedi_cms_text_and_banner_collection_max', $config['dedi_cms_text_and_banner_collection_max']);
    }

    public function getAlias()
    {
        return 'dedi_cms_plugin';
    }
}
